Index: palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4742)
+++ palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 4792)
@@ -3729,22 +3464,21 @@
                    CALL netcdf_handle_error( 'netcdf_define_header', 534 )
 !
-!--                Set independent io operations for parallel io. Collective io
-!--                is only allowed in case of a 1d-decomposition along x,
-!--                because otherwise, not all PEs have output data.
+!--                Set independent io operations for parallel io. Collective io is only allowed in
+!--                case of a 1d-decomposition along x, because otherwise, not all PEs have output
+!--                data.
                    IF ( npey == 1 )  THEN
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),     &
-                                                     id_var_do2d(av,i), &
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
                    ELSE
 !
-!--                   Test simulations showed that the output of cross sections
-!--                   by all PEs in data_output_2d using NF90_COLLECTIVE is
-!--                   faster than the output by the first row of PEs in
-!--                   x-direction using NF90_INDEPENDENT.
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),    &
-                                                    id_var_do2d(av,i), &
-                                                    NF90_COLLECTIVE )
-!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),     &
-!                                                     id_var_do2d(av,i), &
+!--                   Test simulations showed that the output of cross sections by all PEs in
+!--                   data_output_2d using NF90_COLLECTIVE is faster than the output by the first
+!--                   row of PEs in x-direction using NF90_INDEPENDENT.
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+                                                     id_var_do2d(av,i),                            &
+                                                     NF90_COLLECTIVE )
+!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+!                                                     id_var_do2d(av,i),                            &
 !                                                     NF90_INDEPENDENT )
                    ENDIF
@@ -3765,13 +3499,11 @@
 
 !
-!--       Write the list of variables as global attribute (this is used by
-!--       restart runs and by combine_plot_fields)
-          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list )
+!--       Write the list of variables as global attribute (this is used by restart runs and by
+!--       combine_plot_fields)
+          nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', var_list )
           CALL netcdf_handle_error( 'netcdf_define_header', 161 )
 
 !
-!--       Set general no fill, otherwise the performance drops significantly for
-!--       parallel output.
+!--       Set general no fill, otherwise the performance drops significantly for parallel output.
           nc_stat = NF90_SET_FILL( id_set_xz(av), NF90_NOFILL, oldmode )
           CALL netcdf_handle_error( 'netcdf_define_header', 530 )
@@ -3783,6 +3515,5 @@
 
 !
-!--       These data are only written by PE0 for parallel output to increase
-!--       the performance.
+!--       These data are only written by PE0 for parallel output to increase the performance.
           IF ( myid == 0  .OR.  netcdf_data_format < 5 )  THEN
 
@@ -3800,6 +3531,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_y_xz(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_y_xz(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 163 )
@@ -3814,6 +3545,6 @@
                 ENDIF
              ENDDO
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_yv_xz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_yv_xz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 375 )
@@ -3822,6 +3553,6 @@
 !--          Write gridpoint number data
              netcdf_data(1:ns) = section(1:ns,2)
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_ind_y_xz(av), &
-                                     netcdf_data, start = (/ 1 /),       &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_ind_y_xz(av),                           &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ ns /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 164 )
@@ -3838,6 +3569,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_x_xz(av), &
-                                     netcdf_data, start = (/ 1 /),   &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_x_xz(av),                               &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 165 )
@@ -3847,6 +3578,6 @@
              ENDDO
 
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_xu_xz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_xu_xz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nx+1 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 377 )
@@ -3859,12 +3590,12 @@
 
              netcdf_data(0:nz+1) = zu(nzb:nzt+1)
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zu_xz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zu_xz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nz+2 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 166 )
 
              netcdf_data(0:nz+1) = zw(nzb:nzt+1)
-             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zw_xz(av), &
-                                     netcdf_data, start = (/ 1 /),    &
+             nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zw_xz(av),                              &
+                                     netcdf_data, start = (/ 1 /),                                 &
                                      count = (/ nz+2 /) )
              CALL netcdf_handle_error( 'netcdf_define_header', 167 )
@@ -3874,6 +3605,6 @@
              IF ( land_surface )  THEN
                 netcdf_data(0:nzs-1) = - zs(nzb_soil:nzt_soil)
-                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zs_xz(av), &
-                                        netcdf_data(0:nzs), start = (/ 1 /),    &
+                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_zs_xz(av),                           &
+                                        netcdf_data(0:nzs), start = (/ 1 /),                       &
                                         count = (/ nzt_soil-nzb_soil+1 /) )
                CALL netcdf_handle_error( 'netcdf_define_header', 548 )
@@ -3906,10 +3637,9 @@
 
                    DO  i = 0, nx
-                     netcdf_data(i) = init_model%origin_x                      &
-                                    + cos_rot_angle * ( i + shift_x ) * dx
+                     netcdf_data(i) = init_model%origin_x + cos_rot_angle * ( i + shift_x ) * dx
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_eutm_xz(k,av),&
-                                           netcdf_data, start = (/ 1 /),       &
+                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_eutm_xz(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ nx+1 /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -3939,11 +3669,11 @@
                          netcdf_data(i) = -1.0_wp  ! section averaged along y
                       ELSE
-                         netcdf_data(i) = init_model%origin_y &
-                                     + cos_rot_angle * ( section(i,2) + shift_y ) * dy
+                         netcdf_data(i) = init_model%origin_y                                      &
+                                          + cos_rot_angle * ( section(i,2) + shift_y ) * dy
                       ENDIF
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_nutm_xz(k,av),&
-                                           netcdf_data, start = (/ 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_nutm_xz(k,av),                    &
+                                           netcdf_data, start = (/ 1 /),                           &
                                            count = (/ ns /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -3979,13 +3709,13 @@
                       ELSE
                          DO  i = 0, nx
-                            netcdf_data_2d(i,j) = init_model%origin_x                 &
-                                    + cos_rot_angle * ( i + shift_x ) * dx            &
-                                    + sin_rot_angle * ( section(j,2) + shift_y ) * dy
+                            netcdf_data_2d(i,j) = init_model%origin_x                              &
+                                                  + cos_rot_angle * ( i + shift_x ) * dx           &
+                                                  + sin_rot_angle * ( section(j,2) + shift_y ) * dy
                          ENDDO
                       ENDIF
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_eutm_xz(k,av),  &
-                                           netcdf_data_2d, start = (/ 1, 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_eutm_xz(k,av),                    &
+                                           netcdf_data_2d, start = (/ 1, 1 /),                     &
                                            count = (/ nx+1, ns /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 555 )
@@ -3996,13 +3726,13 @@
                       ELSE
                          DO  i = 0, nx
-                            netcdf_data_2d(i,j) = init_model%origin_y                 &
-                                    - sin_rot_angle * ( i + shift_x ) * dx            &
-                                    + cos_rot_angle * ( section(j,2) + shift_y ) * dy
+                            netcdf_data_2d(i,j) = init_model%origin_y                              &
+                                                  - sin_rot_angle * ( i + shift_x ) * dx           &
+                                                  + cos_rot_angle * ( section(j,2) + shift_y ) * dy
                          ENDDO
                       ENDIF
                    ENDDO
 
-                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_nutm_xz(k,av),  &
-                                           netcdf_data_2d, start = (/ 1, 1 /),   &
+                   nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_nutm_xz(k,av),                    &
+                                           netcdf_data_2d, start = (/ 1, 1 /),                     &
                                            count = (/ nx+1, ns /) )
                    CALL netcdf_handle_error( 'netcdf_define_header', 556 )
@@ -4039,26 +3769,24 @@
                    ELSE
                       DO  i = 0, nx
-                         eutm = init_model%origin_x                   &
-                              + cos_rot_angle * ( i + shift_x ) * dx  &
-                              + sin_rot_angle * ( section(j,2) + shift_y ) * dy
-                         nutm = init_model%origin_y                   &
-                              - sin_rot_angle * ( i + shift_x ) * dx  &
-                              + cos_rot_angle * ( section(j,2) + shift_y ) * dy
-
-                         CALL  convert_utm_to_geographic( crs_list,          &
-                                                          eutm, nutm,        &
-                                                          lon(i,j), lat(i,j) )
+                         eutm = init_model%origin_x                                                &
+                                + cos_rot_angle * ( i + shift_x ) * dx                             &
+                                + sin_rot_angle * ( section(j,2) + shift_y ) * dy
+                         nutm = init_model%origin_y                                                &
+                                - sin_rot_angle * ( i + shift_x ) * dx                             &
+                                + cos_rot_angle * ( section(j,2) + shift_y ) * dy
+
+                         CALL  convert_utm_to_geographic( crs_list, eutm, nutm, lon(i,j), lat(i,j) )
                       ENDDO
                    ENDIF
                 ENDDO
 
-                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_lon_xz(k,av), &
-                                     lon, start = (/ 1, 1 /),       &
-                                     count = (/ nx+1, ns /) )
+                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_lon_xz(k,av),                        &
+                                        lon, start = (/ 1, 1 /),                                   &
+                                        count = (/ nx+1, ns /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
 
-                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_lat_xz(k,av), &
-                                     lat, start = (/ 1, 1 /),       &
-                                     count = (/ nx+1, ns /) )
+                nc_stat = NF90_PUT_VAR( id_set_xz(av), id_var_lat_xz(k,av),                        &
+                                        lat, start = (/ 1, 1 /),                                   &
+                                        count = (/ nx+1, ns /) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 556 )
              ENDDO
@@ -4074,9 +3802,7 @@
 !
 !--       Get the list of variables and compare with the actual run.
-!--       First var_list_old has to be reset, since GET_ATT does not assign
-!--       trailing blanks.
+!--       First var_list_old has to be reset, since GET_ATT does not assign trailing blanks.
           var_list_old = ' '
-          nc_stat = NF90_GET_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', &
-                                  var_list_old )
+          nc_stat = NF90_GET_ATT( id_set_xz(av), NF90_GLOBAL, 'VAR_LIST', var_list_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 168 )
 
@@ -4097,9 +3823,8 @@
 
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
-             message_string = 'netCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previous run found,' //  &
-                              '&but this file cannot be extended due to' //  &
-                              ' variable mismatch.' //                       &
-                              '&New file is created instead.'
+             message_string = 'netCDF file for cross-sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended due to' //                        &
+                              ' variable mismatch.' // '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0249', 0, 1, 0, 6, 0 )
              extend = .FALSE.
@@ -4120,19 +3845,17 @@
           CALL netcdf_handle_error( 'netcdf_define_header', 169 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_y_xz(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_y_xz(av),                         &
                                            dimids = id_dim_y_xz_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 170 )
           id_dim_y_xz(av) = id_dim_y_xz_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_y_xz(av), &
-                                            len = ns_old )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_y_xz(av), LEN = ns_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 171 )
 
           IF ( ns /= ns_old )  THEN
-             message_string = 'netCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previous run found,' // &
-                              '&but this file cannot be extended due to' // &
-                              ' mismatch in number of' //                   &
-                              ' cross sections.' //                         &
+             message_string = 'netCDF file for cross-sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended due to' //                        &
+                              ' mismatch in number of' // ' cross sections.' //                    &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0250', 0, 1, 0, 6, 0 )
@@ -4151,12 +3874,10 @@
              IF ( section(i,2) /= -1 )  THEN
                 IF ( ( ( section(i,2) + 0.5 ) * dy ) /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                               TRIM( var ) // ' from previous run found,' //   &
-                               ' but this file cannot be extended' //          &
-                               ' due to mismatch in cross' //                  &
-                               ' section levels.' //                           &
-                               ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' // TRIM( var ) //            &
+                                    ' from previous run found,' //                                 &
+                                    ' but this file cannot be extended' //                         &
+                                    ' due to mismatch in cross' // ' section levels.' //           &
+                                     ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -4164,12 +3885,10 @@
              ELSE
                 IF ( -1.0_wp /= netcdf_data(i) )  THEN
-                   message_string = 'netCDF file for cross-sections ' //       &
-                               TRIM( var ) // ' from previous run found,' //   &
-                               ' but this file cannot be extended' //          &
-                               ' due to mismatch in cross' //                  &
-                               ' section levels.' //                           &
-                               ' New file is created instead.'
-                   CALL message( 'define_netcdf_header', 'PA0251',             &
-                                                                 0, 1, 0, 6, 0 )
+                   message_string = 'netCDF file for cross-sections ' // TRIM( var ) //            &
+                                    ' from previous run found,' //                                 &
+                                    ' but this file cannot be extended' //                         &
+                                     ' due to mismatch in cross' // ' section levels.' //          &
+                                     ' New file is created instead.'
+                   CALL message( 'define_netcdf_header', 'PA0251', 0, 1, 0, 6, 0 )
                    extend = .FALSE.
                    RETURN
@@ -4181,40 +3900,36 @@
 
 !
-!--       Get the id of the time coordinate (unlimited coordinate) and its
-!--       last index on the file. The next time level is do2d..count+1.
-!--       The current time must be larger than the last output time
-!--       on the file.
+!--       Get the id of the time coordinate (unlimited coordinate) and its last index on the file.
+!--       The next time level is do2d..count+1.
+!--       The current time must be larger than the last output time on the file.
           nc_stat = NF90_INQ_VARID( id_set_xz(av), 'time', id_var_time_xz(av) )
           CALL netcdf_handle_error( 'netcdf_define_header', 173 )
 
-          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_time_xz(av), &
+          nc_stat = NF90_INQUIRE_VARIABLE( id_set_xz(av), id_var_time_xz(av),                      &
                                            dimids = id_dim_time_old )
           CALL netcdf_handle_error( 'netcdf_define_header', 174 )
           id_dim_time_xz(av) = id_dim_time_old(1)
 
-          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_time_xz(av), &
-                                            len = ntime_count )
+          nc_stat = NF90_INQUIRE_DIMENSION( id_set_xz(av), id_dim_time_xz(av), LEN = ntime_count )
           CALL netcdf_handle_error( 'netcdf_define_header', 175 )
 
 !
-!--       For non-parallel output use the last output time level of the netcdf
-!--       file because the time dimension is unlimited. In case of parallel
-!--       output the variable ntime_count could get the value of 9*10E36 because
-!--       the time dimension is limited.
+!--       For non-parallel output use the last output time level of the netcdf file because the time
+!--       dimension is unlimited. In case of parallel output the variable ntime_count could get the
+!--       value of 9*10E36 because the time dimension is limited.
           IF ( netcdf_data_format < 5 ) do2d_xz_time_count(av) = ntime_count
 
-          nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_time_xz(av),           &
-                                  last_time_coordinate,                        &
-                                  start = (/ do2d_xz_time_count(av) /),        &
+          nc_stat = NF90_GET_VAR( id_set_xz(av), id_var_time_xz(av),                               &
+                                  last_time_coordinate,                                            &
+                                  start = (/ do2d_xz_time_count(av) /),                            &
                                   count = (/ 1 /) )
           CALL netcdf_handle_error( 'netcdf_define_header', 176 )
 
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
-             message_string = 'netCDF file for cross sections ' //             &
-                              TRIM( var ) // ' from previous run found,' //    &
-                              '&but this file cannot be extended becaus' //    &
-                              'e the current output time' //                   &
-                              '&is less or equal than the last output t' //    &
-                              'ime on this file.' //                           &
+             message_string = 'netCDF file for cross sections ' // TRIM( var ) //                  &
+                              ' from previous run found,' //                                       &
+                              '&but this file cannot be extended because' //                       &
+                              ' the current output time' //                   &
+                              '&is less or equal than the last output time' // ' on this file.' // &
                               '&New file is created instead.'
              CALL message( 'define_netcdf_header', 'PA0252', 0, 1, 0, 6, 0 )
@@ -4226,13 +3941,12 @@
           IF ( netcdf_data_format > 4 )  THEN
 !
-!--          Check if the needed number of output time levels is increased
-!--          compared to the number of time levels in the existing file.
+!--          Check if the needed number of output time levels is increased compared to the number of
+!--          time levels in the existing file.
              IF ( ntdim_2d_xz(av) > ntime_count )  THEN
-                message_string = 'netCDF file for cross sections ' // &
-                                 TRIM( var ) // ' from previous run found,' // &
-                                 '&but this file cannot be extended becaus' // &
-                                 'e the number of output time levels has b' // &
-                                 'een increased compared to the previous s' // &
-                                 'imulation.' //                               &
+                message_string = 'netCDF file for cross sections ' // TRIM( var ) //               &
+                                 ' from previous run found,' //                                    &
+                                 '&but this file cannot be extended becaus' //                     &
+                                 'e the number of output time levels has b' //                     &
+                                 'een increased compared to the previous s' // 'imulation.' //     &
                                  '&New file is created instead.'
                 CALL message( 'define_netcdf_header', 'PA0390', 0, 1, 0, 6, 0 )
@@ -4242,14 +3956,12 @@
 !--             Recalculate the needed time levels for the new file.
                 IF ( av == 0 )  THEN
-                   ntdim_2d_xz(0) = CEILING(                            &
-                           ( end_time - MAX( skip_time_do2d_xz,         &
-                                             simulated_time_at_begin )  &
-                           ) / dt_do2d_xz )
+                   ntdim_2d_xz(0) = CEILING( ( end_time - MAX( skip_time_do2d_xz,                  &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_do2d_xz )
                    IF ( do2d_at_begin )  ntdim_2d_xz(0) = ntdim_2d_xz(0) + 1
                 ELSE
-                   ntdim_2d_xz(1) = CEILING(                            &
-                           ( end_time - MAX( skip_time_data_output_av,  &
-                                             simulated_time_at_begin )  &
-                           ) / dt_data_output_av )
+                   ntdim_2d_xz(1) = CEILING( ( end_time - MAX( skip_time_data_output_av,           &
+                                                               simulated_time_at_begin )           &
+                                             ) / dt_data_output_av )
                 ENDIF
                 RETURN
@@ -4263,28 +3975,25 @@
           DO WHILE ( do2d(av,i)(1:1) /= ' ' )
              IF ( INDEX( do2d(av,i), 'xz' ) /= 0 )  THEN
-                nc_stat = NF90_INQ_VARID( id_set_xz(av), do2d(av,i), &
-                                          id_var_do2d(av,i) )
+                nc_stat = NF90_INQ_VARID( id_set_xz(av), do2d(av,i), id_var_do2d(av,i) )
                 CALL netcdf_handle_error( 'netcdf_define_header', 177 )
 #if defined( __netcdf4_parallel )
 !
-!--             Set independent io operations for parallel io. Collective io
-!--             is only allowed in case of a 1d-decomposition along x, because
-!--             otherwise, not all PEs have output data.
+!--             Set independent io operations for parallel io. Collective io is only allowed in case
+!--             of a 1d-decomposition along x, because otherwise, not all PEs have output data.
                 IF ( netcdf_data_format > 4 )  THEN
                    IF ( npey == 1 )  THEN
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),     &
-                                                     id_var_do2d(av,i), &
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
                    ELSE
 !
-!--                   Test simulations showed that the output of cross sections
-!--                   by all PEs in data_output_2d using NF90_COLLECTIVE is
-!--                   faster than the output by the first row of PEs in
-!--                   x-direction using NF90_INDEPENDENT.
-                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),     &
-                                                     id_var_do2d(av,i), &
+!--                   Test simulations showed that the output of cross sections by all PEs in
+!--                   data_output_2d using NF90_COLLECTIVE is faster than the output by the first
+!--                   row of PEs in x-direction using NF90_INDEPENDENT.
+                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+                                                     id_var_do2d(av,i),                            &
                                                      NF90_COLLECTIVE )
-!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),     &
-!                                                     id_var_do2d(av,i), &
+!                      nc_stat = NF90_VAR_PAR_ACCESS( id_set_xz(av),                                &
+!                                                     id_var_do2d(av,i),                            &
 !                                                     NF90_INDEPENDENT )
                    ENDIF
